谷姐:我们都是谷歌迷
We are all Google fans

有啥工具可以检测php语句是否支持7.x-yingaoyun

Rate this post

源程序在5.6下正常 用7.x就打不开了 有没有什么工具能检测哪里的语句php7不支持吗

热议
2楼 【GloryBoy】 我也遇到过
不懂,绑定
等大佬解答
3楼 【huifukejian】 不支持的会报错吧, 日志里面
4楼 【openboy】 1,最聪明的方法是换版本
2,strace监控php-fpm看执行到了哪大概能猜到对应代码位置
3,PHP程序里手工按执行流程设置exit()跟踪
2和3要么有钱要么有技术+时间
补充一下,打开错误信息,有可能会报,也有可能不会报。
5楼 【笑花落半世琉璃】 正常是函数不支持引起的。
调试模式 开开开开,自己一个个找错误
啥?没有调试?那我也不懂
6楼 【鞠婧祎】 重新写新的不就得了
7楼 【yingaoyun】
就是打开了调试模式不报错我才不知道怎么弄 如果报错就好了 百度一下重写一下就好了现在直接无输出
8楼 【allnetstore】 现在的站长都不会看error log么
9楼 【大侠饶命】 我不懂这个,不过前段时间拿游戏源码建游戏,写着要5.6,因为我不懂嘛不信邪,我装的是7.4,最后报错,我装回5.7也有报错,反正自己也不懂。。直接改回5.6,这PHP新旧版更迭真严格还好我只是瞎折腾
10楼 【yavg】 你这头像某mjj有真人gif版

未经谷姐允许不得转载:谷姐靓号网 » 有啥工具可以检测php语句是否支持7.x-yingaoyun
分享到: 生成海报

评论 抢沙发

评论前必须登录!

立即登录   注册

买Google Voice认准【谷姐靓号网】

Google Voice靓号列表Google Voice自助购买
切换注册

登录

忘记密码 ?

切换登录

注册

我们将发送一封验证邮件至你的邮箱, 请正确填写以完成账号注册和激活